CppUnit project page | FAQ

Public Member Functions | List of all members
DefaultProtector Class Reference

Default protector that catch all exceptions (Implementation). More...

`#include <DefaultProtector.h>`

Inheritance diagram for DefaultProtector:
[legend]
Collaboration diagram for DefaultProtector:
[legend]

## Public Member Functions
bool | protect (const Functor &functor, const ProtectorContext &context)
Public Member Functions inherited from Protector
virtual | ~Protector ()
virtual bool | protect (const Functor &functor, const ProtectorContext &context)=0

## Additional Inherited Members
Protected Member Functions inherited from Protector
void | reportError (const ProtectorContext &context, const Exception &error) const
void | reportError (const ProtectorContext &context, const Message &message, const SourceLine &sourceLine=SourceLine()) const
void | reportFailure (const ProtectorContext &context, const Exception &failure) const
Message | actualMessage (const Message &message, const ProtectorContext &context) const

## Detailed Description

Default protector that catch all exceptions (Implementation).

Implementation detail.

## Member Function Documentation

## ◆ protect()

CPPUNIT_NS_BEGIN bool DefaultProtector::protect | ( | const Functor & | functor,
|  | const ProtectorContext & | context
| ) |  |
| virtual

Implements Protector.

The documentation for this class was generated from the following files:

- DefaultProtector.h
- DefaultProtector.cpp

| Send comments to: CppUnit Developers